#ifndef VMS_SOCKET_H
#define VMS_SOCKET_H

#include <descrip.h>

int socket_open(const char *host, int port);
int socket_send(int sd, const char *outmsg);
int socket_recv(int sd, char *inmsg, int inmsglen);
void socket_close(int sd);

int vms_socket_open(struct dsc$descriptor_s *host, int *port);
int vms_socket_send(int *sd, struct dsc$descriptor_s *outmsg);
int vms_socket_recv(int *sd, struct dsc$descriptor_s *inmsg, int *inmsglen);
void vms_socket_close(int *sd);

#endif
